# FoundationClasses
TKMath
math

# math_FunctionSet Class Reference

This abstract class describes the virtual functions associated to
a set on N Functions of M independant variables.
.

`#include <math_FunctionSet.hxx>`

Inheritance diagram for math_FunctionSet:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
virtual Standard_EXPORT void | Delete ()
virtual Standard_EXPORT | ~math_FunctionSet ()
virtual Standard_EXPORT Standard_Integer | NbVariables () const =0
| Returns the number of variables of the function. .
virtual Standard_EXPORT Standard_Integer | NbEquations () const =0
| Returns the number of equations of the function. .
virtual Standard_EXPORT Standard_Boolean | Value (const math_Vector &X, math_Vector &F)=0
| Computes the values <f> of the functions for the variable <x>. returns True if the computation was done successfully, False otherwise. .
virtual Standard_EXPORT Standard_Integer | GetStateNumber ()

Returns the state of the function corresponding to the
latestcall of any methods associated with the function.
This function is called by each of the algorithms
described later which define the function Integer
Algorithm::StateNumber(). The algorithm has the
responsibility to call this function when it has found
a solution (i.e. a root or a minimum) and has to maintain
the association between the solution found and this
StateNumber.
Byu default, this method returns 0 (which means for the
algorithm: no state has been saved). It is the
responsibility of the programmer to decide if he needs
to save the current state of the function and to return
an Integer that allows retrieval of the state.
.

## Constructor & Destructor Documentation

virtual Standard_EXPORT math_FunctionSet::~math_FunctionSet | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual Standard_EXPORT void math_FunctionSet::Delete | ( |  | ) | `[virtual]`

virtual Standard_EXPORT Standard_Integer math_FunctionSet::GetStateNumber | ( |  | ) | `[virtual]`

virtual Standard_EXPORT Standard_Integer math_FunctionSet::NbEquations | ( |  | ) | const`[pure virtual]`

| Implemented in math_FunctionSetWithDerivatives.

virtual Standard_EXPORT Standard_Integer math_FunctionSet::NbVariables | ( |  | ) | const`[pure virtual]`

| Implemented in math_FunctionSetWithDerivatives.

void math_FunctionSet::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented in math_FunctionSetWithDerivatives.

void* math_FunctionSet::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented in math_FunctionSetWithDerivatives.

void* math_FunctionSet::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented in math_FunctionSetWithDerivatives.

virtual Standard_EXPORT Standard_Boolean math_FunctionSet::Value | ( | const math_Vector & | X,
|  | math_Vector & | F
| ) | `[pure virtual]`

| Implemented in math_FunctionSetWithDerivatives.

The documentation for this class was generated from the following file:

- math_FunctionSet.hxx